package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 质量月报S6101对象 t_monthly_quality_report_s6101
 *
 * @author ruoyi
 * @date 2023-10-27
 */
public class TMonthlyQualityReportS6101 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String locationName;

    /** 采样点 */
    @Excel(name = "采样点")
    private String samplePoint;

    /** 采样日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "采样日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sampleDate;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** 苯 */
    @Excel(name = "苯")
    private String benzene;

    /** 甲苯 */
    @Excel(name = "甲苯")
    private String toluene;

    /** 双环戊二烯 */
    @Excel(name = "双环戊二烯")
    private String dcpd;

    /** 乙苯 */
    @Excel(name = "乙苯")
    private String ethylbenzene;

    /** 间-二甲苯 */
    @Excel(name = "间-二甲苯")
    private String mXylene;

    /** 邻-二甲苯 */
    @Excel(name = "邻-二甲苯")
    private String oXylene;

    /** 对-二甲苯 */
    @Excel(name = "对-二甲苯")
    private String pXylene;

    /** 苯乙烯 */
    @Excel(name = "苯乙烯")
    private String styrene;

    /** C5 非芳烃 */
    @Excel(name = "C5 非芳烃")
    private String c5Na;

    /** C6 非芳烃 */
    @Excel(name = "C6 非芳烃")
    private String c6Na;

    /** C7 非芳烃 */
    @Excel(name = "C7 非芳烃")
    private String c7Na;

    /** C8 非芳烃 */
    @Excel(name = "C8 非芳烃")
    private String c8Na;

    /** C9以上 */
    @Excel(name = "C9以上")
    private String c9;

    /** C8 芳烃 */
    @Excel(name = "C8 芳烃")
    private String c8A;

    /** C4 -C5 非芳烃 */
    @Excel(name = "C4 -C5 非芳烃")
    private String c4C5Na;

    /** C6 -C8 非芳烃 */
    @Excel(name = "C6 -C8 非芳烃")
    private String c6C8Na;

    /** C4-C8非芳烃 */
    @Excel(name = "C4-C8非芳烃")
    private String c4C8Na;

    /** 密度（20℃） */
    @Excel(name = "密度", readConverterExp = "2=0℃")
    private String density1;

    /** 溴价 */
    @Excel(name = "溴价")
    private String brNumber;

    /** 总硫 */
    @Excel(name = "总硫")
    private String totalSulfur;

    /** 总氮 */
    @Excel(name = "总氮")
    private String totalNitrogen;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocationName(String locationName)
    {
        this.locationName = locationName;
    }

    public String getLocationName()
    {
        return locationName;
    }
    public void setSamplePoint(String samplePoint)
    {
        this.samplePoint = samplePoint;
    }

    public String getSamplePoint()
    {
        return samplePoint;
    }
    public void setSampleDate(Date sampleDate)
    {
        this.sampleDate = sampleDate;
    }

    public Date getSampleDate()
    {
        return sampleDate;
    }
    public void setSampleName(String sampleName)
    {
        this.sampleName = sampleName;
    }

    public String getSampleName()
    {
        return sampleName;
    }
    public void setBenzene(String benzene)
    {
        this.benzene = benzene;
    }

    public String getBenzene()
    {
        return benzene;
    }
    public void setToluene(String toluene)
    {
        this.toluene = toluene;
    }

    public String getToluene()
    {
        return toluene;
    }
    public void setDcpd(String dcpd)
    {
        this.dcpd = dcpd;
    }

    public String getDcpd()
    {
        return dcpd;
    }
    public void setEthylbenzene(String ethylbenzene)
    {
        this.ethylbenzene = ethylbenzene;
    }

    public String getEthylbenzene()
    {
        return ethylbenzene;
    }
    public void setmXylene(String mXylene)
    {
        this.mXylene = mXylene;
    }

    public String getmXylene()
    {
        return mXylene;
    }
    public void setoXylene(String oXylene)
    {
        this.oXylene = oXylene;
    }

    public String getoXylene()
    {
        return oXylene;
    }
    public void setpXylene(String pXylene)
    {
        this.pXylene = pXylene;
    }

    public String getpXylene()
    {
        return pXylene;
    }
    public void setStyrene(String styrene)
    {
        this.styrene = styrene;
    }

    public String getStyrene()
    {
        return styrene;
    }
    public void setC5Na(String c5Na)
    {
        this.c5Na = c5Na;
    }

    public String getC5Na()
    {
        return c5Na;
    }
    public void setC6Na(String c6Na)
    {
        this.c6Na = c6Na;
    }

    public String getC6Na()
    {
        return c6Na;
    }
    public void setC7Na(String c7Na)
    {
        this.c7Na = c7Na;
    }

    public String getC7Na()
    {
        return c7Na;
    }
    public void setC8Na(String c8Na)
    {
        this.c8Na = c8Na;
    }

    public String getC8Na()
    {
        return c8Na;
    }
    public void setC9(String c9)
    {
        this.c9 = c9;
    }

    public String getC9()
    {
        return c9;
    }
    public void setC8A(String c8A)
    {
        this.c8A = c8A;
    }

    public String getC8A()
    {
        return c8A;
    }
    public void setC4C5Na(String c4C5Na)
    {
        this.c4C5Na = c4C5Na;
    }

    public String getC4C5Na()
    {
        return c4C5Na;
    }
    public void setC6C8Na(String c6C8Na)
    {
        this.c6C8Na = c6C8Na;
    }

    public String getC6C8Na()
    {
        return c6C8Na;
    }
    public void setC4C8Na(String c4C8Na)
    {
        this.c4C8Na = c4C8Na;
    }

    public String getC4C8Na()
    {
        return c4C8Na;
    }
    public void setDensity1(String density1)
    {
        this.density1 = density1;
    }

    public String getDensity1()
    {
        return density1;
    }
    public void setBrNumber(String brNumber)
    {
        this.brNumber = brNumber;
    }

    public String getBrNumber()
    {
        return brNumber;
    }
    public void setTotalSulfur(String totalSulfur)
    {
        this.totalSulfur = totalSulfur;
    }

    public String getTotalSulfur()
    {
        return totalSulfur;
    }
    public void setTotalNitrogen(String totalNitrogen)
    {
        this.totalNitrogen = totalNitrogen;
    }

    public String getTotalNitrogen()
    {
        return totalNitrogen;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("locationName", getLocationName())
            .append("samplePoint", getSamplePoint())
            .append("sampleDate", getSampleDate())
            .append("sampleName", getSampleName())
            .append("benzene", getBenzene())
            .append("toluene", getToluene())
            .append("dcpd", getDcpd())
            .append("ethylbenzene", getEthylbenzene())
            .append("mXylene", getmXylene())
            .append("oXylene", getoXylene())
            .append("pXylene", getpXylene())
            .append("styrene", getStyrene())
            .append("c5Na", getC5Na())
            .append("c6Na", getC6Na())
            .append("c7Na", getC7Na())
            .append("c8Na", getC8Na())
            .append("c9", getC9())
            .append("c8A", getC8A())
            .append("c4C5Na", getC4C5Na())
            .append("c6C8Na", getC6C8Na())
            .append("c4C8Na", getC4C8Na())
            .append("density1", getDensity1())
            .append("brNumber", getBrNumber())
            .append("totalSulfur", getTotalSulfur())
            .append("totalNitrogen", getTotalNitrogen())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
